Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1924306 - F34FailsToInstall: ocaml-qcheck, ocaml-qcheck-devel
Summary: F34FailsToInstall: ocaml-qcheck, ocaml-qcheck-devel
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ocaml-qcheck
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Li
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FailsToInstall F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-02-02 21:55 UTC by Miro Hrončok
Modified: 2021-02-13 17:48 UTC (History)
2 users (show)

Fixed In Version: ocaml-qcheck-0.16-4.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-13 17:48:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2021-02-02 21:55:58 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (ocaml-qcheck) Fails To Install in Fedora 34:

can't install ocaml-qcheck:
  - nothing provides ocaml(Re__) = 787224c2ee75334ebb3c52123befbf81 needed by ocaml-qcheck-0.16-3.fc34.x86_64
  - nothing provides ocaml(Alcotest_engine__) = a15fd5318e4fcd5a66c96524ecd4a6d4 needed by ocaml-qcheck-0.16-3.fc34.x86_64
  
can't install ocaml-qcheck-devel:
  - nothing provides ocaml(Re__) = 787224c2ee75334ebb3c52123befbf81 needed by ocaml-qcheck-devel-0.16-3.fc34.x86_64
  - nothing provides ocaml(Alcotest_engine__) = a15fd5318e4fcd5a66c96524ecd4a6d4 needed by ocaml-qcheck-devel-0.16-3.fc34.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Ben Cotton 2021-02-09 16:02:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 2 Miro Hrončok 2021-02-10 09:21:27 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Jerry James 2021-02-13 17:48:39 UTC
Fixed in Rawhide and F34.


Note You need to log in before you can comment on or make changes to this bug.